# &frameworks; Command Line Documentation

&Lauri.Watts; &Lauri.Watts.mail;
2016-05-13
Frameworks 6.0
KDE Frameworks
kf6options
7

# kf6options

Common commandline options for all applications based on &kf6-full;

    KDE application
    -h, --help
    -v, --version
    --author
    --license
    --desktopfile file name

## Options

The following options apply to all &kde; applications:

`-h` `--help`

  This lists the options available at the command line.

`-v` `--version`

  Lists version information for KDE application.

`--author`

  Lists KDE application authors in the terminal window.

`--license`

  Shows license information.

`--desktopfile` file name

  The base file name of the desktop entry for this application.

  This is in particular useful for wrapper applications and applications having in general multiple desktop files. Thus each desktop file can put its own name into the exec command.

## See Also

qt6options(7)

## Authors

Man page originally written by &Lauri.Watts; &Lauri.Watts.mail; for kdelibs4

Updated to &frameworks; 5 by &Burkhard.Lueck; &Burkhard.Lueck.mail;